--[[******************************************
*
*	Multi Theft Auto - Personal Message Script
*
*	pms.lua
*
*	Made by [DRuG]Dabombber
*
**********************************************]]

function pmSendMsg ( player , commandName , targetplayer , ... )
	if ( targetplayer ) then
		local sauce = getElementType ( player )
		if ( arg[1] ) then
			target = pmFindPlayer ( targetplayer )
			if ( target ) then
				if ( target == player ) then
					outputChatBox ( "pm: You cannot message yourself" , player , 255 , 168 , 0 )
				else
					message = table.concat ( arg , " " )
					if ( sauce == "player" ) then
						outputChatBox ( "-> " .. getPlayerName ( target ) .. ": " .. message , player , 255 , 168 , 0 )
						outputChatBox ( "* PM from " .. getPlayerName ( player ) .. ": " .. message , target , 255 , 100 , 100 )
						outputServerLog( "PM: " .. getPlayerName ( player ) .. " to " .. getPlayerName ( target ) .. ": " .. message )		
					elseif ( sauce == "console" ) then
						outputChatBox ( "* PM from Console: " .. message , target , 255 , 100 , 100 )
						outputServerLog( "CONSOLEPM: Console to " .. getPlayerName ( target ) .. ": " .. message )		
					end
				end
			else
				if ( sauce == "player" ) then
					outputChatBox ( "pm: Player not found" , player , 255 , 0 , 0 )
				elseif ( sauce == "console" ) then
					outputServerLog( "pm: Player not found" )
				end
			end
		else
			if ( sauce == "player" ) then
				outputChatBox ( "pm: Invalid message" , player , 255 , 168 , 0 )
			elseif ( sauce == "console" ) then
				outputServerLog( "pm: Invalid message" )
			end
		end
	end
end
addCommandHandler ( "pm" , pmSendMsg )

function pmFindPlayer ( text )
	local player = getPlayerFromName ( text )
	if ( player ) then return player end
	local lowtext = string.lower ( text )
	for id , player in ipairs ( getElementsByType ( "player" ) ) do
		if ( string.find ( string.lower ( getPlayerName ( player ) ), lowtext , 1 , true ) ) then
			return player
		end
	end
	return false
end
